<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { init } from 'aos';
import {
  SlpContainer,
  SlpColumn,
  FeaturedVideo,
} from '../components/common/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    SlpContainer,
    SlpColumn,
    FeaturedVideo,
  },
  async asyncData({ $content, error }: any) {
    try {
      const demo = await $content('demo').fetch();
      return { demo };
    } catch (e) {
      error({ statusCode: 404 });
      return {};
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).demo, this.$route.path);
  },
  beforeMount() {
    init({
      once: true,
    });
  },
});
</script>

<template>
  <div>
    <div class="demo">
      <SlpContainer>
        <SlpRow class="grayBackground">
          <SlpColumn class="text__container" :cols="6">
            <SlpTypography
              class="slp-mb-16 text__header"
              variant="heading2-bold"
              tag="h1"
            >
              {{ demo.data.header }}
            </SlpTypography>
            <SlpTypography
              class="slp-mb-16 text__subtitle"
              variant="heading4"
              tag="h4"
            >
              {{ demo.data.subtitle }}
            </SlpTypography>
          </SlpColumn>
          <SlpColumn class="column" :cols="6">
            <FeaturedVideo :data="demo.demo_video" />
          </SlpColumn>
        </SlpRow>
      </SlpContainer>
    </div>
    <SlpContainer class="slp-my-64">
      <div class="content" v-html="$md.render(demo.data.content)"></div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.demo {
  background-color: $color-surface-800;

  .text__container {
    margin-top: $spacing-96;
    padding-right: $spacing-32;
  }

  .column {
    @media (min-width: $breakpoint-lg) {
      padding: 0 $spacing-32;
    }

    .container::v-deep {
      margin-bottom: 0;

      .videoCard {
        background: transparent;
      }
    }
  }
}

.content::v-deep {
  ul {
    list-style: url('~/static/nuxt-images/icons/check-bullet-point.png');
    padding-left: $spacing-24;
    font-size: 16px;
    line-height: 24px;

    li {
      margin-bottom: 1rem;
    }
  }

  p {
    font-size: 23px;
    line-height: 28px;
    margin-bottom: $spacing-32;
  }
}
</style>
